ChiliProject - Bug # 1034: Gravatar

Status: Closed Priority: Normal
Author: Alf Gaida Category:

Created: 2012-06-10 Assignee: Felix Schéfer
Updated: 2012-06-10 Due date:

Remote issue URL:

Affected version: 3.2.0

Description:

Associated revisions

2012-06-10 07:54 pm - Felix SchArfer
Fix option parsing for gravatars #1034

In addition to that:
* the default size was 50px in the old lib, this has been restored

* some tests to test the default and option parsing

2012-06-10 08:34 pm - Felix SchAxfer

Restore the default class for gravatars #1034

History

2012-06-10 01:18 am - Alf Gaida

Gravatars have the Size 80 x 80 on every place they are displayed. Not so nice. Bevore update the generated html-source looks like this:

<pre>
<div class="profile-wrap">

<img class="gravatar" width="40" height="40"

src="http://www.gravatar.com/avatar/16aecbc5187a0c9972ced6fb12115221 ?rating=PG&size=40&default="title="" alt="">

</div>

</pre>

After update to 3.2 the generated source look like this

<pre>

<div class="profile-wrap">

<img width="80" height="80" src="http://gravatar.com/avatar/3c1ac82f653e17d27e4774dac9b3a9b2.jpg" size="40" default="" alt="">

</div>

</pre>

It looks, like class and size are lost with the gem-update

2012-06-10 07:56 pm - Felix Schafer
- Target version set to 3.2.1

- Status changed from Open to Ready for review

That was my fault, | got the options parsing a little off, sorry.

Pull request at https://github.com/chiliproject/chiliproject/pull/207

2020-10-25

1/2




2012-06-10 08:05 pm - Holger Just

- Status changed from Ready for review to Closed

- Affected version set to 3.2.0

- Assignee set to Felix Schéfer

Pulled it in with commit:5ef63ec. Thanks.

2020-10-25

22



